![NuxtJS-Logo-Dark](.github/logo-light.svg#gh-dark-mode-only)
![NuxtJS-Logo-Light](.github/logo.svg#gh-light-mode-only)

 <p>
  <a href="https://github.com/nuxt/framework/actions?query=branch%3Amain+event%3Apush"><img src="https://github.com/nuxt/framework/workflows/ci/badge.svg?branch=main&event=push" alt="CI Status"></a>
  <a href="https://www.npmjs.com/package/nuxt/v/rc"><img src="https://badgen.net/npm/dm/nuxt" alt="Downloads"></a>
  <a href="https://www.npmjs.com/package/nuxt/v/rc"><img src="https://badgen.net/npm/v/nuxt/rc" alt="Version"></a>
  <a href="https://www.npmjs.com/package/nuxt"><img src="https://badgen.net/npm/license/nuxt3" alt="License"></a>
  <a href="https://discord.nuxtjs.org/"><img src="https://badgen.net/badge/Discord/join-us/7289DA" alt="Discord"></a>
 </p>

Welcome to Nuxt 3 repository: **The Hybrid Vue Framework** ✨

Nuxt's goal is to make web development intuitive and performant with a great developer experience in mind, learn more in the ["What is Nuxt?"](https://v3.nuxtjs.org/guide/concepts/introduction) section of our documentation.

<table>
<tbody>
<tr>
  <td>
    <h2>📖 Documentation</h2>
    <p>
      Read <a href="https://v3.nuxtjs.org">Online Docs</a>.
    </p>
  </td>
  <td>
    <h2>🐞 Reporting bugs</h2>
    <p>
      Check out <a href="https://v3.nuxtjs.org/community/reporting-bugs">Reporting Bugs</a> page.</p>
  </td>
</tr>
<tr>
  <td>
    <h2>💡 Suggestions </h2>
    <p>
      Check out <a href="https://v3.nuxtjs.org/community/contribution">Contribution</a> page.
    </p>
  </td>
  <td>
    <h2>❔ Questions</h2>
    <p>
      Check out <a href="https://v3.nuxtjs.org/community/getting-help">Getting Help</a> page.
    </p>
  </td>
</tr>
</tbody>
</table>

## 💻 Development

- Clone repository
- Ensure you have the latest LTS version of Node.js installed
- Install dependencies with `npx yarn install`
- Run `npx yarn stub` to activate passive development
- Open playground with `npx yarn dev`

Learn more about in our documentation on [how to contribute to Nuxt](https://v3.nuxtjs.org/community/contribution).

## 📖 Documentation

We are using [Docus](https://nuxtlabs.com/docus) for documentation (*It is planned to be open sourced in the following weeks*).

We recommend to install the [Docus extension](https://marketplace.visualstudio.com/items?itemName=NuxtLabs.docus) for VS Code.

- Run `npx yarn stub` once in the root directory
- Go into the docs directory: `cd docs`
- Install docs dependencies with `npx yarn install`
- Run `npx yarn dev` to start Docus in development mode

The pages are generated from [docs/content/](./docs/content), you can start editing them to start helping us on documenting Nuxt 3 💚

## License

[MIT](./LICENSE)
