# Quick Start

Starting fresh? Getting started with Nuxt 3 is straightforward!

## Play online

You can start playing with Nuxt 3 in your browser using our online sandboxes:

:button-link[Play on StackBlitz]{href="https://stackblitz.com/github/nuxt/starter/tree/v3-stackblitz" blank}
:button-link[Play on CodeSandbox]{href="https://codesandbox.io/s/github/nuxt/starter/tree/v3-codesandbox" blank}

## Prerequisites

Before getting started, please make sure you have installed the recommended setup.

* **Node.js**<sup>*</sup> (latest LTS version) 👉 [[Download](https://nodejs.org/en/download/)]
* **Visual Studio Code** 👉 [[Download](https://code.visualstudio.com/)]
* **Volar Extension** 👉 [[Download](https://marketplace.visualstudio.com/items?itemName=johnsoncodehk.volar)]
  * Either enable [**Take Over Mode**](https://github.com/johnsoncodehk/volar/discussions/471) (recommended)
  * ... or add **TypeScript Vue Plugin (Volar)** 👉 [[Download](https://marketplace.visualstudio.com/items?itemName=johnsoncodehk.vscode-typescript-vue-plugin)]

<sup>*</sup> If you already have Node.js installed, check with `node --version` that you are using version 14.16 or above 16.11.

::alert{type=info}

If you have enabled **Take Over Mode** or installed the **TypeScript Vue Plugin (Volar)**, you can disable generating the shim for `*.vue` files:

```js
export default defineNuxtConfig({
  typescript: {
    shim: false
  }
})
```

::

## New project

Open a terminal, or from [Visual Studio Code](https://code.visualstudio.com/), open an [integrated terminal](https://code.visualstudio.com/docs/editor/integrated-terminal) and use the following command to create a new starter project:

::code-group

```bash [npx]
npx nuxi init nuxt-app
```

```bash [pnpm]
pnpm dlx nuxi init nuxt-app
```

::

Open `nuxt-app` folder in Visual Studio Code:

```bash
code nuxt-app
```

Install the dependencies:

::code-group

```bash [yarn]
yarn install
```

```bash [npm]
npm install
```

```bash [pnpm]
pnpm install --shamefully-hoist
```

::

## Development server

Now you'll be able to start your Nuxt app in development mode:

::code-group

```bash [yarn]
yarn dev -o
```

```bash [npm]
npm run dev -- -o
```

```bash [pnpm]
pnpm run dev -o
```

::

::alert{type=success icon=✨ .font-bold}
Well done! A browser window should automatically open for <http://localhost:3000>.
::

## Next steps

Now that you've created your Nuxt 3 project, you are ready to start building your application.

* Learn about the framework [concepts](/guide/concepts)
* Learn more about the framework [features](/guide/features)
